Debian Bug report logs - #657167
qa.debian.org: DDPO confuses Samuel Tardieu with Steve McIntyre

version graph

Package: qa.debian.org; Maintainer for qa.debian.org is debian-qa@lists.debian.org;

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Tue, 24 Jan 2012 16:21:05 UTC

Severity: normal

Fixed in version 2784

Done: Bart Martens <bartm@alioth.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#657167; Package qa.debian.org. (Tue, 24 Jan 2012 16:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-qa@lists.debian.org. (Tue, 24 Jan 2012 16:21:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: qa.debian.org: DDPO confuses Samuel Tardieu with Steve McIntyre
Date: Tue, 24 Jan 2012 17:18:14 +0100
Package: qa.debian.org
Severity: normal


Hi,

When going to:

http://packages.debian.org/changelogs/pool/main/e/erlang/current/changelog

if one search for 'sam@debian.org', one is then sent to:

http://qa.debian.org/developer.php?login=sam@debian.org

which display information for Steve McIntyre (93sam@d.o)

Thanks

-- System Information:
Debian Release: 6.0.1
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable'), (200, 'testing'), (100, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Changed Bug submitter to 'Mathieu Malaterre <malat@debian.org>' from 'Mathieu Malaterre <mathieu.malaterre@gmail.com>' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:55:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#657167; Package qa.debian.org. (Mon, 28 May 2012 07:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Mon, 28 May 2012 07:12:03 GMT) Full text and rfc822 format available.

Message #12 received at 657167@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Cc: 657167@bugs.debian.org
Subject: qa.debian.org: DDPO confuses Samuel Tardieu with Steve McIntyre
Date: Mon, 28 May 2012 07:07:36 +0000
Hello Mathieu,

The file /srv/qa.debian.org/data/ddpo/results/maintainers.txt also contains
e-mail addresses.  The script /srv/qa.debian.org/data/ddpo/extract_archive.pl
creates that list.  This script appears to intentionally add the e-mail
addresses.  If we remove the e-mail addresses from maintainers.txt then it will
no longer be possible to search on a part of an e-mail address.  I'm not sure
whether we want this.  If you want to only use an exact match of a full e-mail
address, then you could use the "email=" parameter instead of the "login="
parameter.

Regards,

Bart Martens




Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#657167; Package qa.debian.org. (Mon, 28 May 2012 07:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Mon, 28 May 2012 07:30:06 GMT) Full text and rfc822 format available.

Message #17 received at 657167@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: Bart Martens <bartm@debian.org>
Cc: 657167@bugs.debian.org
Subject: Re: qa.debian.org: DDPO confuses Samuel Tardieu with Steve McIntyre
Date: Mon, 28 May 2012 09:27:26 +0200
Bart,

On Mon, May 28, 2012 at 9:07 AM, Bart Martens <bartm@debian.org> wrote:
> The file /srv/qa.debian.org/data/ddpo/results/maintainers.txt also contains
> e-mail addresses.  The script /srv/qa.debian.org/data/ddpo/extract_archive.pl
> creates that list.  This script appears to intentionally add the e-mail
> addresses.  If we remove the e-mail addresses from maintainers.txt then it will
> no longer be possible to search on a part of an e-mail address.  I'm not sure
> whether we want this.  If you want to only use an exact match of a full e-mail
> address, then you could use the "email=" parameter instead of the "login="
> parameter.

Ok then. Would it be possible to replace all "login=" with "email=" on
all changelog generated html page, such as:

http://packages.debian.org/changelogs/pool/main/e/erlang/current/changelog

Thanks




Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#657167; Package qa.debian.org. (Sun, 05 Aug 2012 10:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Sun, 05 Aug 2012 10:21:03 GMT) Full text and rfc822 format available.

Message #22 received at 657167@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: 657167@bugs.debian.org
Subject: qa.debian.org: DDPO confuses Samuel Tardieu with Steve McIntyre
Date: Sun, 5 Aug 2012 10:16:55 +0000
Or, a different approach could be to modify developer.php (developer.wml) to
skip the use of maintainers.txt when the value given for the login= parameter
appears to be a full e-mail address, maybe even limited to @debian.org e-mail
addresses.  As a consequence, in this case, sam@debian.org would no longer be
confused with 93sam@debian.org .  I think that a corner case like this one
deserves a small low-impact exceptional change.



Reply sent to Bart Martens <bartm@alioth.debian.org>:
You have taken responsibility. (Sun, 05 Aug 2012 14:09:03 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <malat@debian.org>:
Bug acknowledged by developer. (Sun, 05 Aug 2012 14:09:03 GMT) Full text and rfc822 format available.

Message #27 received at 657167-done@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@alioth.debian.org>
To: 657167-done@bugs.debian.org
Subject: qa.debian.org bug fixed in revision 2784
Date: Sun, 05 Aug 2012 14:04:18 +0000
Version: 2784

This bug was closed by Bart Martens (bartm) in SVN revision 2784.
Note that it might take some time until the qa.debian.org code has
been updated and cronjobs have picked up changed data.

Commit message:

Skip the use of maintainers.txt when login is a Debian e-mail address.  Closes: #657167.





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Sep 2012 07:28:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:22:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.